For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Topic Message by Timestamp

Get a topic message by consensusTimestamp.

This method will use 20 Compute Units.


Get topic message by consensusTimestamp

get

Returns a topic message the given the consensusTimestamp.

Path parameters
timestampstringRequired

The timestamp at which the associated transaction reached consensus

Example: 1234567890.0000007Pattern: ^\d{1,10}(.\d{1,9})?$
Responses
200

OK

application/json
consensus_timestampstringRequiredExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
messagestringRequired
payer_account_idstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
running_hashstring · byteRequired
running_hash_versioninteger · int32Required
sequence_numberinteger · int64Required
topic_idstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
get/api/v1/topics/messages/{timestamp}
GET /v1/YOUR_API_KEY/api/v1/topics/messages/{timestamp} HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
  "chunk_info": {
    "initial_transaction_id": "0.0.10-1234567890-000000321",
    "nonce": 3,
    "number": 1,
    "total": 2,
    "scheduled": true
  },
  "consensus_timestamp": "1234567890.000000001",
  "message": "bWVzc2FnZQ==",
  "payer_account_id": "0.0.10",
  "running_hash": "cnVubmluZ19oYXNo",
  "running_hash_version": 2,
  "sequence_number": 1,
  "topic_id": "0.0.7"
}

Last updated

Was this helpful?